Skip to main content
GET
/
artifacts
/
{org}
/
{flow_name}
List artifacts in flow
curl --request GET \
  --url https://app.kosli.com/api/v2/artifacts/{org}/{flow_name} \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "fingerprint": "<string>",
    "filename": "<string>",
    "created_at": "<string>",
    "last_modified_at": "<string>",
    "evidence": {},
    "trail_name": "<string>",
    "template_reference_name": "<string>",
    "git_commit": "<string>",
    "git_commit_info": {
      "sha1": "<string>",
      "message": "<string>",
      "author": "<string>",
      "author_username": "<string>",
      "branch": "<string>",
      "timestamp": 123,
      "url": "<string>",
      "parents": [
        "<string>"
      ]
    },
    "repo_info": {
      "name": "<string>",
      "url": "<string>",
      "id": "<string>",
      "description": "<string>",
      "provider": "github"
    },
    "commit_url": "<string>",
    "build_url": "<string>",
    "repo_url": "<string>",
    "html_url": "<string>",
    "api_url": "<string>",
    "user_data": null,
    "external_urls": {},
    "annotations": {},
    "state": "COMPLIANT",
    "deployments": [],
    "releases": []
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flow_name
string
required
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\.\-_~]*$
org
string
required

Query Parameters

page
integer | null
default:1

The page number of response

per_page
integer | null
default:15

How many results to return per page of response

Response

Successful Response

id
string
required
fingerprint
string
required
Pattern: ^[a-f0-9]{64}$
filename
string
required
created_at
string
required
last_modified_at
string
required
evidence
Evidence · object
required
trail_name
string | null
Pattern: ^[a-zA-Z0-9][a-zA-Z0-9\-_.~]*$
template_reference_name
string | null
Pattern: ^[a-zA-Z0-9\-_]+$
git_commit
string | null
Pattern: ^[a-f0-9]{40}$
git_commit_info
GitCommit · object
repo_info
RepoInfoResponse · object
commit_url
string | null
build_url
string | null
repo_url
string | null
html_url
string | null
api_url
string | null
user_data
unknown
external_urls
External Urls · object
annotations
Annotations · object
state
enum<string> | null
Available options:
COMPLIANT,
NON-COMPLIANT,
INCOMPLETE
deployments
integer[]
releases
integer[]
Last modified on April 9, 2026